### Home Classes Methods

### In Files

- lib/facets/object/dup.rb
- lib/facets/boolean.rb
- lib/facets/kernel/blank.rb

### Parent

Object

### Methods

- #blank?
- #clone?
- #dup!
- #dup?
- #to_bool

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- Lazy
- Lazy::Future
- Lazy::Promise
- Lazy::Promise::DIVERGES
- Lazy::PromiseSafe
- Enumerable
- Enumerable::Recursor
- Method
- Method::Composition
- Module
- Module::InstanceFunction
- Array
- Binding
- Class
- Comparable
- Denumerable
- Denumerator
- Dir
- Enumerator
- Exception
- Facets
- FalseClass
- File
- FileTest
- Fixnum
- Float
- Functor
- Hash
- Indexable
- Instance
- Integer
- Kernel
- MatchData
- NA
- NilClass
- Numeric
- Object
- ObjectSpace
- Proc
- Process
- Range
- Regexp
- String
- Struct
- Symbol
- Time
- TrueClass
- UnboundMethod

No matching classes.

# TrueClass

### Public Instance Methods

blank?() click to toggle source

    # File lib/facets/kernel/blank.rb, line 56
    def blank?
      false
    end

clone?() click to toggle source

    # File lib/facets/object/dup.rb, line 56
    def clone? ; false ; end

dup!() click to toggle source

Since TrueClass is immutable it cannot be duplicated. For this reason try_dup returns `self`.

    true.dup!  #=> true

    # File lib/facets/object/dup.rb, line 54
    def dup!   ; self  ; end

dup?() click to toggle source

    # File lib/facets/object/dup.rb, line 55
    def dup?   ; false ; end

to_bool() click to toggle source

    # File lib/facets/boolean.rb, line 39
    def to_bool
      self
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.